<%def name="get_color_perf(avg_time)">
	% if avg_time > 1 :
		<font class="bad_perf">${"%1.3f"%avg_time} s</font>
	% elif avg_time > 0.5 :
		<font class="small_perf">${"%d"%(int(avg_time*1000.0))} ms</font>
	% else :	
		<font >${"%d"%(int(avg_time*1000.0))} ms</font>
	% endif
</%def>

<%def name="publish_agg_routes_row(id, avg_time, url, route_name, view_name, cpt)">
	<tr>
		<td>${id}</td>
		<td>${get_color_perf(avg_time)}</td>
		<td>${url}</td>
		<td>${route_name}</td>
		<td>${view_name}</td>
		<td>${cpt}</td>
	</tr>
</%def>

<%def name="publish_agg_view_row(id, avg_time, view_name, cpt)">
	<tr>
		<td>${id}</td>
		<td>${get_color_perf(avg_time)}</td>
		<td>${view_name}</td>
		<td>${cpt}</td>
	</tr>
</%def>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
  "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<title>Perf manager</title>
		
		<style type="text/css">
		
			.bad_perf {	
						background:RED;
					  	color:#FFF;
					  }
			.small_perf {
						background:ORANGE;
						color:#FFF;
					  }
		
			/* tables */
			table.tablesorter {
				font-family:arial;
				background-color: #CDCDCD;
				margin:10px 0pt 15px;
				font-size: 8pt;
				width: 100%;
				text-align: left;
			}
			table.tablesorter thead tr th, table.tablesorter tfoot tr th {
				background-color: #e6EEEE;
				border: 1px solid #FFF;
				font-size: 8pt;
				padding: 4px;
			}
			table.tablesorter thead tr .header {
				background-image: url(${static_path}images/bg.gif);
				background-repeat: no-repeat;
				background-position: center right;
				cursor: pointer;
			}
			table.tablesorter tbody td {
				color: #3D3D3D;
				padding: 4px;
				background-color: #FFF;
				vertical-align: top;
			}
			table.tablesorter tbody tr.odd td {
				background-color:#F0F0F6;
			}
			table.tablesorter thead tr .headerSortUp {
				background-image: url(${static_path}images/asc.gif);
			}
			table.tablesorter thead tr .headerSortDown {
				background-image: url(${static_path}images/desc.gif);
			}
			table.tablesorter thead tr .headerSortDown, table.tablesorter thead tr .headerSortUp {
			background-color: #8dbdd8;
			}		
		</style>
		
	</head>
	<body>
		<select>
			% for id, dt_label in lst_ids_measures_date :
				<option value="${id}">${dt_label}</option>
			% endfor	
		</select>

		<br />
		<br />

		<table id="perf_views_reporting_table" class="tablesorter">
			<thead>
				<tr>
					<th>id</th>
					<th>mean time</th>
					<th>matched view name</th>
					<th>view count</th>
				</tr>
			</thead>
			<tbody>
				% for (id, avg_time, view_name, cpt) in lst_agg_views_measures :
					${publish_agg_view_row(id, avg_time, view_name, cpt)}
				% endfor
			</tbody>
		</table>
		<br />
		<br />
		<table id="perf_routes_reporting_table" class="tablesorter">
			<thead>
				<tr>
					<th>id</th>
					<th>mean time</th>
					<th>requested url</th>
					<th>matched route name</th>
					<th>matched view name</th>
					<th>url count</th>
				</tr>
			</thead>
			<tbody>
				% for (id, avg_time, url, route_name, view_name, cpt) in lst_agg_routes_measures :
					${publish_agg_routes_row(id, avg_time, url, route_name, view_name, cpt)}
				% endfor
			</tbody>
		</table>
	</body>

	<script type="text/javascript" src="${static_path}js/jquery-1.6.4.min.js"></script>
	
	<script>
		$(document).ready(function() { 
		    $("#perf_views_reporting_table").tablesorter({}); 
		    $("#perf_routes_reporting_table").tablesorter({}); 		    
		});
	</script>
	
</html>
