#!/usr/bin/python
# -*- coding: utf-8 -*- 
#-----------------------------------------------------------------------------
# Name:       views.py
# Purpose:
#
# Author:      Stéphane Bard
#
# Created:      31/01/2012
# Copyright:   -
# Licence:     BSD License
# New field:   ----------
#-----------------------------------------------------------------------------

from pyramid_perfstat.perf_serializer import PerfDbManager
from pyramid_perfstat import utils

def reporting(request):
    """
    display table with all reports ...
    """
    perf_manager = PerfDbManager(None)
    lst_ids_measures_date = perf_manager.get_session_liste()
    first_id_measure = lst_ids_measures_date[0][0]
    
    lst_agg_routes_measures = perf_manager.get_route_measure_summary_liste(first_id_measure)
    lst_agg_views_measures = perf_manager.get_view_measure_summary_liste(first_id_measure)
    
    static_path = request.static_url(utils.STATIC_PATH)
    local_static_path = request.static_path(utils.STATIC_PATH)
    
    return {
                'static_path':local_static_path,
                'lst_ids_measures_date':lst_ids_measures_date,
                'lst_agg_routes_measures':lst_agg_routes_measures,
                'lst_agg_views_measures':lst_agg_views_measures,
            }
